Base URL: https://demo-api.incodesmile.com — Incode demo environment
Check for valid Colombian ID and return corresponding values of that person. Optionally, you can set isForeign flag to true to check for foreign people living in Colombia. An example could be a Mexican person with a Colombian ID.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | ||
emissionDate |
string (dd/mm/yyyy) | mandatory if isForeign is true, otherwise optional | |
fullName |
string | ||
isForeign |
boolean | ||
nameBean |
NameBean | ||
nameBean.fullName |
string | ||
nameBean.fullNameNativeScript |
string | ||
nameBean.firstNameNativeScript |
string | ||
nameBean.paternalLastNameNativeScript |
string | ||
nameBean.maternalLastNameNativeScript |
string | ||
nameBean.machineReadableFullName |
string | Full name from Barcode or MRZ | |
nameBean.firstName |
string | ||
nameBean.middleName |
string | ||
nameBean.givenName |
string | ||
nameBean.givenNameMrz |
string | ||
nameBean.nameSuffix |
string | ||
nameBean.paternalLastName |
string | ||
nameBean.maternalLastName |
string | ||
nameBean.lastNameMrz |
string | ||
nameBean.familyName |
string |
Responses
200
Response: - data: Object with following fields. - anio_resolucion: Integer. - codigo_error_datos_cedula: Integer. - codigo_respuesta: Integer. - date: String. - departamento_expedicion: String. - descripcion_estado: String. - estado_cedula: Integer. - fecha_expedicion: String. - informacion_adicional: String. - municipio_expedicion: String. - nombre_completo: String. - nuip: Integer. - numero_resolucion: Integer. - particula: String. - primer_apellido: String. - primer_nombre: String. - segundo_apellido: String. - segundo_nombre: String. - error: String. - findings: String []. - status: Boolean. A response example for foreigners is: { "data": { "ce": "456123", "estado": "VIGENTE", "fecha_expedicion": "02/10/2019", "fecha_nacimiento": "05/03/1956", "fecha_vencimiento": "01/10/2024", "nacionalidad": "CHILENA", "nombre_completo": "JUAN ALEJANDRO PEREZ LOPEZ" }, "error": "", "findings": [], "status": true }
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |